Package org.eclipse.ui.views.navigator

## Class ResourceNavigator

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ui.views.navigator.ResourceNavigator

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `ISetSelectionTarget`, `IWorkbenchPartOrientation`, `IResourceNavigator`

    @Deprecated
    public class ResourceNavigator
    extends ViewPart
    implements ISetSelectionTarget, IResourceNavigator

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead
Implements the Resource Navigator view.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients. Planned to be deleted, please see Bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=549953
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `NAVIGATOR_VIEW_HELP_ID` Deprecated. No longer used but preserved to avoid an api change.

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
`ResourceNavigator()` Deprecated. Constructs a new resource navigator view.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`protected FrameList` `createFrameList()` Deprecated. Creates the frame source and frame list, and connects them.
`void` `createPartControl​(Composite parent)` Deprecated. Creates the SWT controls for this workbench part.
`protected TreeViewer` `createViewer​(Composite parent)` Deprecated. Creates the viewer.
`void` `dispose()` Deprecated. The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`.
`protected void` `editorActivated​(IEditorPart editor)` Deprecated. An editor has been activated.
`protected void` `fillContextMenu​(IMenuManager menu)` Deprecated. Called when the context menu is about to open.
`protected ResourceNavigatorActionGroup` `getActionGroup()` Deprecated. Returns the action group.
`<T> T` `getAdapter​(Class<T> adapter)` Deprecated. Returns an object which is an instance of the given class associated with this object.
`ResourceComparator` `getComparator()` Deprecated. Returns the comparator.
`FrameList` `getFrameList()` Deprecated. Returns the frame list for this navigator.
`protected String` `getHelpContextId()` Deprecated. Returns the help context id to use for this view.
`protected IAdaptable` `getInitialInput()` Deprecated. Returns the initial input for the viewer.
`ResourcePatternFilter` `getPatternFilter()` Deprecated. Returns the pattern filter for this view.
`AbstractUIPlugin` `getPlugin()` Deprecated. Returns the navigator's plugin.
`Shell` `getShell()` Deprecated. use getViewSite().getShell()
`protected IShowInSource` `getShowInSource()` Deprecated. Returns the `IShowInSource` for this view.
`protected IShowInTarget` `getShowInTarget()` Deprecated. Returns the `IShowInTarget` for this view.
`protected static Object` `getSingleElement​(ISelection s)` Deprecated. Returns the selected element if the selection consists of a single element only.
`ResourceSorter` `getSorter()` Deprecated. as of 3.3, use `getComparator()`
`protected String` `getStatusLineMessage​(IStructuredSelection selection)` Deprecated. Returns the message to show in the status line.
`TreeViewer` `getTreeViewer()` Deprecated. Returns the tree viewer which shows the resource hierarchy.
`TreeViewer` `getViewer()` Deprecated. Returns the resource viewer which shows the resource hierarchy.
`IWorkingSet` `getWorkingSet()` Deprecated. Returns the working set for this view.
`protected void` `handleDoubleClick​(DoubleClickEvent event)` Deprecated. Handles a double-click event from the viewer.
`protected void` `handleKeyPressed​(KeyEvent event)` Deprecated. Handles a key press event from the viewer.
`protected void` `handleKeyReleased​(KeyEvent event)` Deprecated. Handles a key release in the viewer.
`protected void` `handleOpen​(ISelection selection)` Deprecated. Handles an open event from the viewer.
`protected void` `handleOpen​(OpenEvent event)` Deprecated. As of 3.5, replaced by `handleOpen(ISelection)`
`protected void` `handleSelectionChanged​(SelectionChangedEvent event)` Deprecated. Handles a selection changed event from the viewer.
`void` `init​(IViewSite site, IMemento memento)` Deprecated. Initializes this view with the given view site.
`protected void` `initContentProvider​(TreeViewer viewer)` Deprecated. Sets the content provider for the viewer.
`protected void` `initContextMenu()` Deprecated. Initializes and registers the context menu.
`protected void` `initDragAndDrop()` Deprecated. Adds drag and drop support to the navigator.
`protected void` `initFilters​(TreeViewer viewer)` Deprecated. Adds the filters to the viewer.
`protected void` `initLabelProvider​(TreeViewer viewer)` Deprecated. Sets the label provider for the viewer.
`protected void` `initListeners​(TreeViewer viewer)` Deprecated. Adds the listeners to the viewer.
`protected void` `initResourceComparator()` Deprecated. Initializes the comparator.
`protected void` `initResourceSorter()` Deprecated. as of 3.3, use `initResourceComparator()` instead
`protected void` `initWorkingSetFilter()` Deprecated. Restores the working set filter from the persistence store.
`boolean` `isLinkingEnabled()` Deprecated. Returns whether the navigator selection automatically tracks the active editor.
`protected void` `linkToEditor​(ISelection selection)` Deprecated. Brings the corresponding editor to top if the selected resource is open.
`protected void` `linkToEditor​(IStructuredSelection selection)` Deprecated. As of 3.5, replaced by `linkToEditor(ISelection)`
`protected void` `makeActions()` Deprecated. Creates the action group, which encapsulates all actions for the view.
`protected void` `restoreState​(IMemento memento)` Deprecated. Restores the state of the receiver to the state described in the specified memento.
`void` `saveState​(IMemento memento)` Deprecated. Saves the object state within a memento.
`void` `selectReveal​(ISelection selection)` Deprecated. Selects and reveals the specified elements.
`protected void` `setActionGroup​(ResourceNavigatorActionGroup actionGroup)` Deprecated. Sets the action group.
`void` `setComparator​(ResourceComparator comparator)` Deprecated. Sets the resource comparator
`void` `setFiltersPreference​(String[] patterns)` Deprecated. Saves the filters defined as strings in `patterns` in the preference store.
`void` `setFocus()` Deprecated. Asks this part to take focus within the workbench.
`void` `setLabelDecorator​(ILabelDecorator decorator)` Deprecated. use the decorators extension point instead; see IWorkbench.getDecoratorManager()
`void` `setLinkingEnabled​(boolean enabled)` Deprecated. Sets whether this navigator's selection automatically tracks the active editor.
`void` `setSorter​(ResourceSorter sorter)` Deprecated. as of 3.3, use `setComparator(ResourceComparator)`
`void` `setWorkingSet​(IWorkingSet workingSet)` Deprecated. Sets the working set for this view, or `null` to clear it.
`protected void` `updateActionBars​(IStructuredSelection selection)` Deprecated. Updates the action bar actions.
`protected void` `updateStatusLine​(IStructuredSelection selection)` Deprecated. Updates the message shown in the status line.
`void` `updateTitle()` Deprecated. Updates the title text and title tool tip.

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Field Detail

#### NAVIGATOR_VIEW_HELP_ID

    @Deprecated
    public static final String NAVIGATOR_VIEW_HELP_ID

Deprecated.
No longer used but preserved to avoid an api change.

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceNavigator

    public ResourceNavigator()

Deprecated.
Constructs a new resource navigator view.

### Method Detail

#### createPartControl

    public void createPartControl​(Composite parent)

Deprecated.
Description copied from interface: `IWorkbenchPart`
Creates the SWT controls for this workbench part.

Clients should not call this method (the workbench calls this method when it needs to, which may be never).

For implementors this is a multi-step process:

1. Create one or more controls within the parent.
2. Set the parent layout as needed.
3. Register any global actions with the site's `IActionBars`.
4. Register any context menus with the site.
5. Register a selection provider with the site, to make it available to the workbench's `ISelectionService` (optional).

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`
Parameters:
  `parent` - the parent control

#### getHelpContextId

    protected String getHelpContextId()

Deprecated.
Returns the help context id to use for this view.

Since:
  2.0

#### initContextMenu

    protected void initContextMenu()

Deprecated.
Initializes and registers the context menu.

Since:
  2.0

#### createViewer

    protected TreeViewer createViewer​(Composite parent)

Deprecated.
Creates the viewer.

Parameters:
  `parent` - the parent composite
Since:
  2.0

#### initContentProvider

    protected void initContentProvider​(TreeViewer viewer)

Deprecated.
Sets the content provider for the viewer.

Parameters:
  `viewer` - the viewer
Since:
  2.0

#### initLabelProvider

    protected void initLabelProvider​(TreeViewer viewer)

Deprecated.
Sets the label provider for the viewer.

Parameters:
  `viewer` - the viewer
Since:
  2.0

#### initFilters

    protected void initFilters​(TreeViewer viewer)

Deprecated.
Adds the filters to the viewer.

Parameters:
  `viewer` - the viewer
Since:
  2.0

#### initListeners

    protected void initListeners​(TreeViewer viewer)

Deprecated.
Adds the listeners to the viewer.

Parameters:
  `viewer` - the viewer
Since:
  2.0

#### dispose

    public void dispose()

Deprecated.
Description copied from class: `WorkbenchPart`
The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`. Subclasses may extend.

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

#### editorActivated

    protected void editorActivated​(IEditorPart editor)

Deprecated.
An editor has been activated. Sets the selection in this navigator to be the editor's input, if linking is enabled.

Parameters:
  `editor` - the active editor
Since:
  2.0

#### fillContextMenu

    protected void fillContextMenu​(IMenuManager menu)

Deprecated.
Called when the context menu is about to open. Delegates to the action group using the viewer's selection as the action context.

Since:
  2.0

#### getFrameList

    public FrameList getFrameList()

Deprecated.
Description copied from interface: `IResourceNavigator`
Returns the frame list for this navigator.

Specified by:
  `getFrameList` in interface `IResourceNavigator`
Returns:
  the list of frames maintained by the resource navigator

#### getInitialInput

    protected IAdaptable getInitialInput()

Deprecated.
Returns the initial input for the viewer. Tries to convert the page input to a resource, either directly or via IAdaptable. If the resource is a container, it uses that. If the resource is a file, it uses its parent folder. If a resource could not be obtained, it uses the workspace root.

Since:
  2.0

#### getPatternFilter

    public ResourcePatternFilter getPatternFilter()

Deprecated.
Returns the pattern filter for this view.

Specified by:
  `getPatternFilter` in interface `IResourceNavigator`
Returns:
  the pattern filter
Since:
  2.0

#### getWorkingSet

    public IWorkingSet getWorkingSet()

Deprecated.
Returns the working set for this view.

Specified by:
  `getWorkingSet` in interface `IResourceNavigator`
Returns:
  the working set
Since:
  2.0

#### getPlugin

    public AbstractUIPlugin getPlugin()

Deprecated.
Returns the navigator's plugin.

Returns:
  the UI plugin for this bundle

#### getSorter

    @Deprecated
    public ResourceSorter getSorter()

Deprecated.
as of 3.3, use `getComparator()`
Return the sorter. If a comparator was set using `setComparator(ResourceComparator)`, this method will return `null`.

Specified by:
  `getSorter` in interface `IResourceNavigator`
Returns:
  the resource navigator's sorter
Since:
  2.0

#### getComparator

    public ResourceComparator getComparator()

Deprecated.
Returns the comparator. If a sorter was set using `setSorter(ResourceSorter)`, this method will return `null`.

Specified by:
  `getComparator` in interface `IResourceNavigator`
Returns:
  the `ResourceComparator`
Since:
  3.3

#### getViewer

    public TreeViewer getViewer()

Deprecated.
Returns the resource viewer which shows the resource hierarchy.

Specified by:
  `getViewer` in interface `IResourceNavigator`
Returns:
  the resource navigator's tree viewer
Since:
  2.0

#### getTreeViewer

    public TreeViewer getTreeViewer()

Deprecated.
Returns the tree viewer which shows the resource hierarchy.

Returns:
  the tree viewer
Since:
  2.0

#### getShell

    @Deprecated
    public Shell getShell()

Deprecated.
use getViewSite().getShell()
Returns the shell to use for opening dialogs. Used in this class, and in the actions.

Returns:
  the shell

#### getStatusLineMessage

    protected String getStatusLineMessage​(IStructuredSelection selection)

Deprecated.
Returns the message to show in the status line.

Parameters:
  `selection` - the current selection
Returns:
  the status line message
Since:
  2.0

#### handleOpen

    @Deprecated
    protected void handleOpen​(OpenEvent event)

Deprecated.
As of 3.5, replaced by `handleOpen(ISelection)`
Handles an open event from the viewer. Opens an editor on the selected file.

Parameters:
  `event` - the open event
Since:
  2.0

#### handleOpen

    protected void handleOpen​(ISelection selection)

Deprecated.
Handles an open event from the viewer. Opens an editor on the selected file.

Parameters:
  `selection` - the selection
Since:
  3.5

#### handleDoubleClick

    protected void handleDoubleClick​(DoubleClickEvent event)

Deprecated.
Handles a double-click event from the viewer. Expands or collapses a folder when double-clicked.

Parameters:
  `event` - the double-click event
Since:
  2.0

#### handleSelectionChanged

    protected void handleSelectionChanged​(SelectionChangedEvent event)

Deprecated.
Handles a selection changed event from the viewer. Updates the status line and the action bars, and links to editor (if option enabled).

Parameters:
  `event` - the selection event
Since:
  2.0

#### handleKeyPressed

    protected void handleKeyPressed​(KeyEvent event)

Deprecated.
Handles a key press event from the viewer. Delegates to the action group.

Parameters:
  `event` - the key event
Since:
  2.0

#### handleKeyReleased

    protected void handleKeyReleased​(KeyEvent event)

Deprecated.
Handles a key release in the viewer. Does nothing by default.

Parameters:
  `event` - the key event
Since:
  2.0

#### init

    public void init​(IViewSite site,
                     IMemento memento)
              throws PartInitException

Deprecated.
Description copied from interface: `IViewPart`
Initializes this view with the given view site. A memento is passed to the view which contains a snapshot of the views state from a previous session. Where possible, the view should try to recreate that state within the part controls.

This method is automatically called by the workbench shortly after the part is instantiated. It marks the start of the views's lifecycle. Clients must not call this method.

Specified by:
  `init` in interface `IViewPart`
Overrides:
  `init` in class `ViewPart`
Parameters:
  `site` - the view site
  `memento` - the IViewPart state or null if there is no previous saved state
Throws:
  `PartInitException` - if this view was not initialized successfully

#### initDragAndDrop

    protected void initDragAndDrop()

Deprecated.
Adds drag and drop support to the navigator.

Since:
  2.0

#### createFrameList

    protected FrameList createFrameList()

Deprecated.
Creates the frame source and frame list, and connects them.

Since:
  2.0

#### initResourceSorter

    @Deprecated
    protected void initResourceSorter()

Deprecated.
as of 3.3, use `initResourceComparator()` instead
Initializes the sorter.

#### initResourceComparator

    protected void initResourceComparator()

Deprecated.
Initializes the comparator.

Since:
  3.3

#### initWorkingSetFilter

    protected void initWorkingSetFilter()

Deprecated.
Restores the working set filter from the persistence store.

#### isLinkingEnabled

    public boolean isLinkingEnabled()

Deprecated.
Returns whether the navigator selection automatically tracks the active editor.

Specified by:
  `isLinkingEnabled` in interface `IResourceNavigator`
Returns:
  `true` if linking is enabled, `false` if not
Since:
  2.0 (this was protected in 2.0, but was made public in 2.1)

#### linkToEditor

    @Deprecated
    protected void linkToEditor​(IStructuredSelection selection)

Deprecated.
As of 3.5, replaced by `linkToEditor(ISelection)`
Brings the corresponding editor to top if the selected resource is open.

Since:
  2.0

#### linkToEditor

    protected void linkToEditor​(ISelection selection)

Deprecated.
Brings the corresponding editor to top if the selected resource is open.

Since:
  3.5

#### makeActions

    protected void makeActions()

Deprecated.
Creates the action group, which encapsulates all actions for the view.

#### restoreState

    protected void restoreState​(IMemento memento)

Deprecated.
Restores the state of the receiver to the state described in the specified memento.

Parameters:
  `memento` - the memento
Since:
  2.0

#### saveState

    public void saveState​(IMemento memento)

Deprecated.
Description copied from interface: `IViewPart`
Saves the object state within a memento.

Specified by:
  `saveState` in interface `IPersistable`
Specified by:
  `saveState` in interface `IViewPart`
Overrides:
  `saveState` in class `ViewPart`
Parameters:
  `memento` - a memento to receive the object state
See Also:
  `ViewPart.saveState(org.eclipse.ui.IMemento)`

#### selectReveal

    public void selectReveal​(ISelection selection)

Deprecated.
Selects and reveals the specified elements.

Specified by:
  `selectReveal` in interface `ISetSelectionTarget`
Parameters:
  `selection` - the new element to select

#### setFiltersPreference

    public void setFiltersPreference​(String[] patterns)

Deprecated.
Saves the filters defined as strings in `patterns` in the preference store.

Specified by:
  `setFiltersPreference` in interface `IResourceNavigator`
Parameters:
  `patterns` - filter patterns to use on contents of the resource navigator

#### setFocus

    public void setFocus()

Deprecated.
Description copied from interface: `IWorkbenchPart`
Asks this part to take focus within the workbench. Parts must assign focus to one of the controls contained in the part's parent composite.

Clients should not call this method (the workbench calls this method at appropriate times). To have the workbench activate a part, use `IWorkbenchPage.activate(IWorkbenchPart) instead`.

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`
See Also:
  `IWorkbenchPart.setFocus()`

#### setLabelDecorator

    @Deprecated
    public void setLabelDecorator​(ILabelDecorator decorator)

Deprecated.
use the decorators extension point instead; see IWorkbench.getDecoratorManager()
Note: For experimental use only. Sets the decorator for the navigator.

As of 2.0, this method no longer has any effect.

Parameters:
  `decorator` - a label decorator or `null` for no decorations.

#### setLinkingEnabled

    public void setLinkingEnabled​(boolean enabled)

Deprecated.
Description copied from interface: `IResourceNavigator`
Sets whether this navigator's selection automatically tracks the active editor.

Specified by:
  `setLinkingEnabled` in interface `IResourceNavigator`
Parameters:
  `enabled` - `true` to enable, `false` to disable
Since:
  2.1
See Also:
  `IResourceNavigator.setLinkingEnabled(boolean)`

#### setSorter

    @Deprecated
    public void setSorter​(ResourceSorter sorter)

Deprecated.
as of 3.3, use `setComparator(ResourceComparator)`
Sets the resource sorter.

Specified by:
  `setSorter` in interface `IResourceNavigator`
Parameters:
  `sorter` - the resource sorter
Since:
  2.0

#### setComparator

    public void setComparator​(ResourceComparator comparator)

Deprecated.
Sets the resource comparator

Specified by:
  `setComparator` in interface `IResourceNavigator`
Parameters:
  `comparator` - the resource comparator
Since:
  3.3

#### setWorkingSet

    public void setWorkingSet​(IWorkingSet workingSet)

Deprecated.
Description copied from interface: `IResourceNavigator`
Sets the working set for this view, or `null` to clear it.

Specified by:
  `setWorkingSet` in interface `IResourceNavigator`
Parameters:
  `workingSet` - the working set, or `null` to clear it

#### updateActionBars

    protected void updateActionBars​(IStructuredSelection selection)

Deprecated.
Updates the action bar actions.

Parameters:
  `selection` - the current selection
Since:
  2.0

#### updateStatusLine

    protected void updateStatusLine​(IStructuredSelection selection)

Deprecated.
Updates the message shown in the status line.

Parameters:
  `selection` - the current selection

#### updateTitle

    public void updateTitle()

Deprecated.
Updates the title text and title tool tip. Called whenever the input of the viewer changes. Called whenever the input of the viewer changes.

Since:
  2.0

#### getActionGroup

    protected ResourceNavigatorActionGroup getActionGroup()

Deprecated.
Returns the action group.

Returns:
  the action group

#### setActionGroup

    protected void setActionGroup​(ResourceNavigatorActionGroup actionGroup)

Deprecated.
Sets the action group.

Parameters:
  `actionGroup` - the action group

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Deprecated.
Description copied from class: `WorkbenchPart`
Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

Clients may implement this method but should generally call `Adapters.adapt(Object, Class, boolean)` rather than invoking it directly. Subclasses may override this method (however, if they do so, they should invoke the method on their superclass to ensure that the Platform's adapter manager is consulted).

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `WorkbenchPart`
Type Parameters:
  `T` - the class type
Parameters:
  `adapter` - the adapter class to look up
Returns:
  a object of the given class, or `null` if this object does not have an adapter for the given class

#### getShowInSource

    protected IShowInSource getShowInSource()

Deprecated.
Returns the `IShowInSource` for this view.

#### getShowInTarget

    protected IShowInTarget getShowInTarget()

Deprecated.
Returns the `IShowInTarget` for this view.

#### getSingleElement

    protected static final Object getSingleElement​(ISelection s)

Deprecated.
Returns the selected element if the selection consists of a single element only.

Parameters:
  `s` - the selection
Returns:
  the selected first element or null
Since:
  3.5